libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.189. __nv_isinfd

Prototype:

    i32 @__nv_isinfd(double %x)

Description:

Determine whether the floating-point value `x` is an infinite value (positive or negative).

Returns:

Returns a nonzero value if and only if `x` is a infinite value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes